<!-- ...................................................................... -->
<!-- VOICEXML Datatypes Module  ........................................... -->
<!-- file: voicexml-datatypes-1.mod

     This is VOICEXML 2.0, a reformulation of VOICEXML in terms of XML modules.
     Copyright 1998-2001 W3C (MIT, INRIA, Keio), All Rights Reserved.
     Revision: $Id: voicexml-datatypes-1.mod,v 4.1 2001/10/19 gm Exp $ SMI

     This DTD module is identified by the PUBLIC and SYSTEM identifiers:

       PUBLIC "-//W3C//ENTITIES VOICEXML Datatypes 1.0//EN"
       SYSTEM "voicexml-datatypes-1.mod"

     Revisions:
     (none)
     ....................................................................... -->

<!-- Datatypes

     defines containers for the following datatypes, many of
     these imported from other specifications and standards.
-->

<!-- space-separated list of link types -->
<!ENTITY % LinkTypes.datatype "NMTOKENS" >

<!-- one or more digits (NUMBER) -->
<!ENTITY % Number.datatype "CDATA" >

<!-- one or more digits (INTEGER) -->
<!ENTITY % Integer.datatype "CDATA" >

<!-- boolean (true | false) -->
<!ENTITY % Boolean.datatype "(true|false)" >

<!-- Duration, length of time -->
<!ENTITY % Duration.datatype "CDATA" >

<!-- Barge in for barging in on a prompt -->
<!ENTITY % Bargein.datatype "(energy | speech | recognition)" >

<!-- script expression -->
<!ENTITY % Script.datatype "CDATA" >

<!-- Event name data type -->
<!ENTITY % EventName.datatype "NMTOKEN" >

<!-- Event names data type -->
<!ENTITY % EventNames.datatype "CDATA" >

<!-- Field name data type -->
<!ENTITY % FieldName.datatype "NMTOKEN" >

<!-- Field names data type -->
<!ENTITY % FieldNames.datatype "CDATA" >

<!-- Imported Datatypes ................................ -->

<!-- media type, as per [RFC2045] -->
<!ENTITY % ContentType.datatype "CDATA" >

<!-- comma-separated list of media types, as per [RFC2045] -->
<!ENTITY % ContentTypes.datatype "CDATA" >

<!-- formal public identifier, as per [ISO8879] -->
<!ENTITY % FPI.datatype "CDATA" >

<!-- a language code, as per [RFC3066] -->
<!ENTITY % LanguageCode.datatype "NMTOKEN" >

<!-- a Uniform Resource Identifier, see [URI] -->
<!ENTITY % URI.datatype "CDATA" >

<!-- a space-separated list of Uniform Resource Identifiers, see [URI] -->
<!ENTITY % URIs.datatype "CDATA" >

<!-- end of voicexml-datatypes-1.mod -->
