<!-- ...................................................................... -->
<!-- Voice XML Object Module  ............................................. -->
<!-- file: voicexml-object-1.mod

     This is VoiceXML 2.0, a reformulation of Voice XML in terms of XML modules.
     Copyright 1998-2001 W3C (MIT, INRIA, Keio), All Rights Reserved.
     Revision: $Id: voicexml-object-1.mod,v 0.1 2001/10/24 gm Exp $ SMI

     This DTD module is identified by the PUBLIC and SYSTEM identifiers:

       PUBLIC "-//W3C//ELEMENTS VOICEXML Object 1.0//EN"
       SYSTEM "voicexml-object-1.mod"

     Revisions:
     (none)
     ....................................................................... -->

<!-- Object element

        object

     This module declares the object element type and its attributes.
--> 


<!-- object:  Definition List ............................ -->

<!ENTITY % VOICEXML.object.element "INCLUDE" >
<![%VOICEXML.object.element;[
<!ENTITY % VOICEXML.object.content 
	"( %Audio.mix;
	 | %EventHandler.class;
	   %Filled.class;
	   %Param.class;
	   %Prompt.class;
	   %Property.class; )*" >
<!ENTITY % VOICEXML.object.qname "object" >	   
<!ELEMENT %VOICEXML.object.qname; %VOICEXML.object.content; >
<!-- end of object.element -->]]>

<!ENTITY % VOICEXML.object.attlist "INCLUDE" >
<![%VOICEXML.object.attlist;[
<!ATTLIST %VOICEXML.object.qname;
	%VOICEXML.Item.attrib;
	%VOICEXML.Cache.attrib;
	classid 	%URI.datatype;	 #IMPLIED
	codebase	%URI.datatype;	 #IMPLIED
	data		%URI.datatype;	 #IMPLIED
	type	 	CDATA			 #IMPLIED
	codetype	CDATA			 #IMPLIED
	archive	%URI.datatype;	 #IMPLIED >
<!-- end of object.attlist -->]]>

<!-- end of voicexml-object-1.mod -->


