<!-- ...................................................................... -->
<!-- Voice XML System Output Module  ...................................... -->
<!-- file: voicexml-output-1.mod

     This is VoiceXML 2.0, a reformulation of Voice XML in terms of XML modules.
     Copyright 1998-2002 W3C (MIT, INRIA, Keio), All Rights Reserved.
     Revision: $Id: voicexml-output-1.mod,v 0.1 2002/04/05 gm Exp $ SMI

     This DTD module is identified by the PUBLIC and SYSTEM identifiers:

       PUBLIC "-//W3C//ELEMENTS VOICEXML System Output 1.0//EN"
       SYSTEM "voicexml-output-1.mod"

     Revisions:
     (none)
     ....................................................................... -->

<!-- System Output elements:

      prompt, value, audio

     This module declares the System Output types and their attributes.
-->

<!-- prompt:  Definition List ............................ -->

<!ENTITY % VOICEXML.prompt.element "INCLUDE" >
<![%VOICEXML.prompt.element;[
<!ENTITY % VOICEXML.prompt.content "( %Audio.mix; | %TTS.mix; | %SSML.lexicon.qname; |
				 %SSML.metadata.qname; | %SSML.meta.qname; )*" >
<!ENTITY % VOICEXML.prompt.qname "prompt" >
<!ELEMENT %VOICEXML.prompt.qname; %VOICEXML.prompt.content; >
<!-- end of prompt.element -->]]>

<!ENTITY % VOICEXML.prompt.attlist "INCLUDE" >
<![%VOICEXML.prompt.attlist;[
<!ATTLIST %VOICEXML.prompt.qname;
	bargein	%Boolean.datatype;	#IMPLIED
	bargeintype	(energy | speech | recognition) #IMPLIED
	cond		%Script.datatype;		#IMPLIED
	count		%Integer.datatype;		#IMPLIED
	xml:lang	NMTOKEN				#IMPLIED
	timeout	%Duration.datatype;		#IMPLIED
        xml:base	%URI.datatype;		#IMPLIED 
	version	CDATA		#FIXED	"1.0">
<!-- end of prompt.attlist -->]]>

<!-- value:  Definition List ............................ -->

<!ENTITY % VOICEXML.value.element "INCLUDE" >
<![%VOICEXML.value.element;[
<!ENTITY % VOICEXML.value.content "EMPTY" >
<!ENTITY % VOICEXML.value.qname "value" >
<!ELEMENT %VOICEXML.value.qname; %VOICEXML.value.content; >
<!-- end of value.element -->]]>

<!ENTITY % VOICEXML.value.attlist "INCLUDE" >
<![%VOICEXML.value.attlist;[
<!ATTLIST %VOICEXML.value.qname;
	expr		%Script.datatype; 	#REQUIRED >
<!-- end of value.attlist -->]]>

<!-- say-as:  Definition List ............................ -->

<!ENTITY % VOICEXML.say-as.element "INCLUDE" >
<![%VOICEXML.say-as.element;[
<!ENTITY % VOICEXML.say-as.content "(#PCDATA | %VOICEXML.value.qname; )*" >
<!ELEMENT %VOICEXML.say-as.qname; %VOICEXML.say-as.content; >
<!-- end of say-as.element -->]]>

<!ENTITY % VOICEXML.say-as.attlist "INCLUDE" >
<![%VOICEXML.say-as.attlist;[
<!ATTLIST %VOICEXML.say-as.qname;
	interpret-as 	NMTOKEN	#REQUIRED
	format		NMTOKEN	#IMPLIED
	detail		NMTOKEN	#IMPLIED >
<!-- end of say-as.attlist -->]]>

<!-- audio:  Definition List ............................ -->

<!ENTITY % VOICEXML.audio.element "INCLUDE" >
<![%VOICEXML.audio.element;[
<!ENTITY % VOICEXML.audio.content "( %Audio.mix; | %TTS.mix; | %SSML.desc.qname; )*" >
<!ENTITY % VOICEXML.audio.qname "audio" >
<!ELEMENT %VOICEXML.audio.qname; %VOICEXML.audio.content; >
<!-- end of audio.element -->]]>

<!ENTITY % VOICEXML.audio.attlist "INCLUDE" >
<![%VOICEXML.audio.attlist;[
<!ATTLIST %VOICEXML.audio.qname;
	src	%URI.datatype;		#IMPLIED
	expr	%Script.datatype;	#IMPLIED
	%VOICEXML.Cache.attrib; >
<!-- end of audio.attlist -->]]>

<!-- end of voicexml-output-1.mod -->