<!-- ...................................................................... -->
<!-- Voice XML Telephony Module  .......................................... -->
<!-- file: voicexml-telephony-1.mod

     This is VoiceXML 2.0, a reformulation of Voice XML in terms of XML modules.
     Copyright 1998-2001 W3C (MIT, INRIA, Keio), All Rights Reserved.
     Revision: $Id: voicexml-telephony-1.mod,v 0.1 2001/10/24 gm Exp $ SMI

     This DTD module is identified by the PUBLIC and SYSTEM identifiers:

       PUBLIC "-//W3C//ELEMENTS VOICEXML Telephony 1.0//EN"
       SYSTEM "voicexml-telephony-1.mod"

     Revisions:
     (none)
     ....................................................................... -->

<!-- Telephony

        transfer, disconnect

     This module declares the telephony element types and their attributes.
--> 

<!ENTITY % VOICEXML.transfer.qname "transfer" >
<!ENTITY % VOICEXML.disconnect.qname "disconnect" >

<!-- transfer:  Definition List ............................ -->

<!ENTITY % VOICEXML.transfer.element "INCLUDE" >
<![%VOICEXML.transfer.element;[
<!ENTITY % VOICEXML.transfer.content 
	"( %Audio.mix;
	 | %EventHandler.class;
	   %Grammar.class;
	   %Filled.class;
	   %Prompt.class;
	   %Property.class; )*" >
<!ELEMENT %VOICEXML.transfer.qname; %VOICEXML.transfer.content; >
<!-- end of transfer.element -->]]>

<!ENTITY % VOICEXML.transfer.attlist "INCLUDE" >
<![%VOICEXML.transfer.attlist;[
<!ATTLIST %VOICEXML.transfer.qname;
	%VOICEXML.Item.attrib;
	dest		%URI.datatype;	     	#IMPLIED
	destexpr	%Script.datatype;      	#IMPLIED
	bridge	%Boolean.datatype;     	'false'
	connecttimeout %Duration.datatype; 	#IMPLIED
	maxtime	%Duration.datatype;	#IMPLIED
	transferaudio  %URI.datatype;		#IMPLIED >
<!-- end of transfer.attlist -->]]>

<!-- disconnect:  Definition List ............................ -->

<!ENTITY % VOICEXML.disconnect.element "INCLUDE" >
<![%VOICEXML.disconnect.element;[
<!ENTITY % VOICEXML.disconnect.content "EMPTY" >
<!ELEMENT %VOICEXML.disconnect.qname; %VOICEXML.disconnect.content; >
<!-- end of disconnect.element -->]]>

<!-- end of voicexml-telephony-1.mod -->


