<!-- ...................................................................... -->
<!-- Voice XML Flow Module  ............................................. -->
<!-- file: voicexml-flow-1.mod

     This is VoiceXML 2.0, a reformulation of Voice XML in terms of XML modules.
     Copyright 1998-2001 W3C (MIT, INRIA, Keio), All Rights Reserved.
     Revision: $Id: voicexml-flow-1.mod,v 0.1 2001/10/24 gm Exp $ SMI

     This DTD module is identified by the PUBLIC and SYSTEM identifiers:

       PUBLIC "-//W3C//ELEMENTS VOICEXML Flow Control 1.0//EN"
       SYSTEM "voicexml-flow-1.mod"

     Revisions:
     (none)
     ....................................................................... -->

<!-- Control flow

        if, else, elseif, return

     This module declares the control flow element types and their attributes.
--> 

<!ENTITY % VOICEXML.if.qname "if" >
<!ENTITY % VOICEXML.else.qname "else" >
<!ENTITY % VOICEXML.elseif.qname "elseif" >
<!ENTITY % VOICEXML.return.qname "return" >

<!-- if:  Definition List ............................ -->

<!ENTITY % VOICEXML.if.element "INCLUDE" >
<![%VOICEXML.if.element;[
<!ENTITY % VOICEXML.if.content 
	"( %Exec.mix; | %VOICEXML.elseif.qname; | %VOICEXML.else.qname; )*" >
<!ELEMENT %VOICEXML.if.qname; %VOICEXML.if.content; >
<!-- end of if.element -->]]>

<!ENTITY % VOICEXML.if.attlist "INCLUDE" >
<![%VOICEXML.if.attlist;[
<!ATTLIST %VOICEXML.if.qname;
	cond %Script.datatype; #REQUIRED >
<!-- end of if.attlist -->]]>

<!-- else:  Definition List ............................ -->

<!ENTITY % VOICEXML.else.element "INCLUDE" >
<![%VOICEXML.else.element;[
<!ENTITY % VOICEXML.else.content "EMPTY" >
<!ELEMENT %VOICEXML.else.qname; %VOICEXML.else.content; >
<!-- end of else.element -->]]>

<!-- elseif:  Definition List ............................ -->

<!ENTITY % VOICEXML.elseif.element "INCLUDE" >
<![%VOICEXML.elseif.element;[
<!ENTITY % VOICEXML.elseif.content "EMPTY" >
<!ELEMENT %VOICEXML.elseif.qname; %VOICEXML.elseif.content; >
<!-- end of elseif.element -->]]>

<!ENTITY % VOICEXML.elseif.attlist "INCLUDE" >
<![%VOICEXML.elseif.attlist;[
<!ATTLIST %VOICEXML.elseif.qname;
	cond %Script.datatype; #IMPLIED >
<!-- end of elseif.attlist -->]]>

<!-- return:  Definition List ............................ -->

<!ENTITY % VOICEXML.return.element "INCLUDE" >
<![%VOICEXML.return.element;[
<!ENTITY % VOICEXML.return.content "EMPTY" >
<!ELEMENT %VOICEXML.return.qname; %VOICEXML.return.content; >
<!-- end of return.element -->]]>

<!ENTITY % VOICEXML.return.attlist "INCLUDE" >
<![%VOICEXML.return.attlist;[
<!ATTLIST %VOICEXML.return.qname;
	namelist %FieldNames.datatype; #IMPLIED
	event %EventName.datatype; #IMPLIED >
<!-- end of return.attlist -->]]>

<!-- end of voicexml-flow-1.mod -->


