<!-- ...................................................................... -->
<!-- Voice XML Resource Module  ........................................... -->
<!-- file: voicexml-resource-1.mod

     This is VoiceXML 2.0, a reformulation of Voice XML in terms of XML modules.
     Copyright 1998-2001 W3C (MIT, INRIA, Keio), All Rights Reserved.
     Revision: $Id: voicexml-resource-1.mod,v 0.1 2001/10/24 gm Exp $ SMI

     This DTD module is identified by the PUBLIC and SYSTEM identifiers:

       PUBLIC "-//W3C//ELEMENTS VOICEXML Resource 1.0//EN"
       SYSTEM "voicexml-resource-1.mod"

     Revisions:
     (none)
     ....................................................................... -->

<!-- Resource elements

        param, property

     This module declares the resource element types and their attributes.
--> 

<!ENTITY % VOICEXML.param.qname "param" >
<!ENTITY % VOICEXML.property.qname "property" >

<!-- param:  Definition List ............................ -->

<!ENTITY % VOICEXML.param.element "INCLUDE" >
<![%VOICEXML.param.element;[
<!ENTITY % VOICEXML.param.content "EMPTY" >
<!ELEMENT %VOICEXML.param.qname; %VOICEXML.param.content; >
<!-- end of param.element -->]]>

<!ENTITY % VOICEXML.param.attlist "INCLUDE" >
<![%VOICEXML.param.attlist;[
<!ATTLIST %VOICEXML.param.qname;
	name 		NMTOKEN	#REQUIRED
	expr		%Script.datatype; #IMPLIED
	value		CDATA		#IMPLIED
	valuetype	(data|ref)  'data'
	type		CDATA		#IMPLIED >
<!-- end of param.attlist -->]]>

<!-- property:  Definition List ............................ -->

<!ENTITY % VOICEXML.property.element "INCLUDE" >
<![%VOICEXML.property.element;[
<!ENTITY % VOICEXML.property.content "EMPTY" >
<!ELEMENT %VOICEXML.property.qname; %VOICEXML.property.content; >
<!-- end of property.element -->]]>

<!ENTITY % VOICEXML.property.attlist "INCLUDE" >
<![%VOICEXML.property.attlist;[
<!ATTLIST %VOICEXML.property.qname;
	name 		NMTOKEN	#REQUIRED
	value		CDATA		#REQUIRED >
<!-- end of property.attlist -->]]>

<!-- end of voicexml-resource-1.mod -->


