<!-- ...................................................................... -->
<!-- Voice XML Root Module  ............................................... -->
<!-- file: voicexml-root-1.mod

     This is VoiceXML 2.0, a reformulation of Voice XML in terms of XML modules.
     Copyright 1998-2001 W3C (MIT, INRIA, Keio), All Rights Reserved.
     Revision: $Id: voicexml-root-1.mod,v 0.1 2001/10/24 gm Exp $ SMI

     This DTD module is identified by the PUBLIC and SYSTEM identifiers:

       PUBLIC "-//W3C//ELEMENTS VOICEXML Root 1.0//EN"
       SYSTEM "voicexml-root-1.mod"

     Revisions:
     (none)
     ....................................................................... -->

<!-- Root elements

        vxml, meta

     This module declares the root element types and their attributes.
-->

<!-- vxml:  Definition List ............................ -->
<!ENTITY % VOICEXML.vxml.element "INCLUDE" >
<![%VOICEXML.vxml.element;[
<!ENTITY % VOICEXML.vxml.content "( %Vxml.mix; )+" >
<!ENTITY % VOICEXML.vxml.qname "vxml" >
<!ELEMENT %VOICEXML.vxml.qname; %VOICEXML.vxml.content; >
<!-- end of vxml.element -->]]>

<!ENTITY % VOICEXML.vxml.attlist "INCLUDE" >
<![%VOICEXML.vxml.attlist;[
<!ATTLIST %VOICEXML.vxml.qname;
	application	%URI.datatype;	#IMPLIED
	base		%URI.datatype;	#IMPLIED
	xml:lang	NMTOKEN		#IMPLIED
	version	CDATA			#REQUIRED >
<!-- end of vxml.attlist -->]]>

<!-- meta:  Definition List ............................ -->
<!ENTITY % VOICEXML.meta.element "IGNORE" >
<![%VOICEXML.meta.element;[
<!ENTITY % VOICEXML.meta.content "EMPTY" >
<!ENTITY % VOICEXML.meta.qname "meta" >
<!ELEMENT %VOICEXML.meta.qname; %VOICEXML.meta.content; >
<!-- end of meta.element -->]]>

<!ENTITY % VOICEXML.meta.attlist "IGNORE" >
<![%VOICEXML.meta.attlist;[
<!ATTLIST %VOICEXML.meta.qname;
	name 		NMTOKEN	#IMPLIED
	content	CDATA		#REQUIRED 
	http-equiv	NMTOKEN	#IMPLIED >
<!-- end of meta.attlist -->]]>

<!-- metadata:  Definition List ............................ -->
<!ENTITY % VOICEXML.metadata.element "IGNORE" >
<![%VOICEXML.metadata.element;[
<!ENTITY % VOICEXML.metadata.content "ANY" >
<!ENTITY % VOICEXML.metadata.qname "metadata" >
<!ELEMENT %VOICEXML.metadata.qname; %VOICEXML.metadata.content; >
<!-- end of metadata.element -->]]>

<!-- end of voicexml-root-1.mod -->


